Package: groovy.org.codenarc.ruleset

## [Groovy] Class ListRuleSet

- groovy.org.codenarc.ruleset.ListRuleSet

- All Implemented Interfaces and Traits:
    RuleSet

      class ListRuleSet

  A `RuleSet` implementation that returns a static List of Rules passed into its constructor.

  Authors:
    Chris Mair

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ListRuleSet (List rules)` Construct a new instance from the specified List of rules.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `List` | `getRules()` @return a List of Rule objects

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ListRuleSet(List rules)

      Construct a new instance from the specified List of rules.

      Parameters:
        `rules` - - the List of List of `Rule` objects; must not be null, but may be empty.

  - ### Method Detail

    - #### List getRules()

      Returns:
        a List of Rule objects